Project

Profile

Help

Browser support

Added by Jan-Paul van der Velden over 3 years ago

On http://www.saxonica.com/saxon-js/index.xml#product I read: ""Saxon-JS 0.9.1 was released 9 December 2016, for use on web browsers (Safari, Firefox, Chrome, Opera, Internet Explorer, and Edge)."

Can you be more specific on which versions of the browsers Saxonica supports? Are there older versions of browsers where it is known not to work?


Replies (4)

Please register to reply

RE: Browser support - Added by Debbie Lockett over 3 years ago

Saxon-JS 1.0, and 0.9.1 before it, are tested on a range of browsers, on Windows and MacOS. Specifically the following versions: Chrome 57 (64-bit Windows), 56 (64-bit MacOS), and 55 (Android mobile app) Edge 38 IE 11 Firefox 52 Safari 5.1 (Windows), 10 (MacOS) Opera 42

So we know Saxon-JS works on a range on modern browsers, but have limited information about older versions. We would certainly be interested to know if users find browsers on which Saxon-JS does not work. At present we do not know of any.

RE: Browser support - Added by Michael Kay over 3 years ago

Just to add a "management" comment: we tend to avoid using the terminology "Saxonica supports version X of Y" or "Saxon supports version X of Y". Our policy is:

  • test what we reasonably can
  • tell people what we've tested
  • let other people tell us whether other combinations work or not
  • if there are combinations that don't work, see if we can discover why, and then either fix the problem, or publish a workaround, or tell people that it can't be done, depending on what we find out.

RE: Browser support - Added by Jan-Paul van der Velden over 3 years ago

Sensible approach!

    (1-4/4)

    Please register to reply